﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Runtime.Serialization;
using System.ServiceModel;
using System.ServiceModel.Activation;
using System.ServiceModel.Web;
using System.Text;

[ServiceKnownType(typeof(ServiceEntity))]
[ServiceContract]
[AspNetCompatibilityRequirements(RequirementsMode = AspNetCompatibilityRequirementsMode.Allowed)]
public class SampleService
{
    [OperationContract]
    [WebGet(ResponseFormat=WebMessageFormat.Json)]
    public List<ServiceEntity> GetData(string titleFilter)
    {
        var data = Enumerable.Range(1, 50).Select(i => new ServiceEntity
        {
            ID = i,
            Title = "Title" + i,
            Number = i,
            Date = DateTime.Today.AddDays(i),
            Description = "Description" + i
        }).ToList<ServiceEntity>();
        if (string.IsNullOrEmpty(titleFilter))
        {
            return data;
        }
        else
        {
            return data.Where(i => i.Title.Contains(titleFilter)).ToList<ServiceEntity>();
        }
    }
}

[DataContract]
public class ServiceEntity
{
    [DataMember]
    public int ID { get; set; }
    [DataMember]
    public string Title { get; set; }
    [DataMember]
    public int Number { get; set; }
    [DataMember]
    public DateTime Date { get; set; }
    [DataMember]
    public string Description { get; set; }
}